Subject: Re: [PATCH net-next 1/2] sfc: Implement ndo_hwtstamp_(get|set)

From: Jakub Kicinski <[email-masked]>
Date: Mon, 4 Dec 2023 10:17:05 -0800

On Mon, 4 Dec 2023 13:00:35 +0200 Vladimir Oltean wrote:
> If I may intervene. The "request state" will ultimately go away once all
> drivers are converted. I know it's more fragile and not all fields are
> valid, but I think I would like drivers to store the kernel_ variant of
> the structure, because more stuff will be added to the kernel_ variant
> in the future (the hwtstamp provider + qualifier), and doing this from
> the beginning will avoid reworking them again.

Okay, you know the direction of this work better, so:

pw-bot: under-review

Report-bugs-to: Vladimir Oltean <[email-masked]>

:P